Bug 113885 - permissions denorm triggers slow on postgres
permissions denorm triggers slow on postgres
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aram Kananov
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 16:46 EST by Bryan Che
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2004-01-19 16:46:35 EST
I've been populating a cms postgres server, and the data population is
much slower now than before.  With around 5,000 published articles so
far, creating and publishing each additional article is taking around
5 minutes.  Previously, the slowest performance I saw populating on a
heavily used postgres db was around at most 1 minute/article.

The biggest problem seems to be doing operations like

update object_context
set context_id = 7149
where object_context.object_id = 15004

After turning on stats gathering for postgres, I see lots of
operations like these during population, and they each take up to
around 12 seconds to complete.  I think the culprit is the
object_context_dnm_trg trigger on object_context.  

I am currently populating an oracle server as well with statspack
enabled, but it's too early to know yet if oracle has this problem too.
Comment 1 Bryan Che 2004-01-20 13:14:40 EST
just an update on oracle performance for population with the triggers.
 Creating and publishing an article on oracle took at most around 3
seconds at the same changelist that postgres is taking around 5 minutes.
Comment 2 Aram Kananov 2004-01-20 14:16:59 EST
p4 # 39541 should improve performance on pg
Comment 3 Bryan Che 2004-01-21 10:14:45 EST
Now, populating articles is going at a rate of about 50
seconds/article.   This is a big improvement but still lags Oracle by
quite a bit. 
Comment 4 Jon Orris 2006-09-05 13:51:16 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.